Wireless not working on Lenovo3000-N200 with Ubuntu 11.04 upgrade

Bug #857297 reported by Graham Parker on 2011-09-23
24
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Seth Forshee
Natty
Medium
Seth Forshee
Oneiric
Medium
Seth Forshee

Bug Description

SRU Justification

Impact: acer-wmi is lacking a required quirk for the Lenovo 3000 N200 wlan rfkill. As a result, wireless is permanently blocked on this machine whenever acer-wmi is loaded.

Fix: Add quirk to use the correct EC register for updating the wlan rfkill status.

Testcase: Loading acer-wmi without the fix results in a permanent wlan soft block. With the fix the rfkill switch behaves as expected. Verified against natty on LP #857297.

---
Wifi is not working after upgrade to Ubuntu 11.04.

The network manager on the task tray states that wireless is disabled by hardware switch. Wireless is enabled in the BIOS and the switch on the laptop is enabled.

I tried the following commands suggested by Seth Forshee (sforshee) and wifi was activated, but when I rebooted wifi was not activated and the following commands did not work again.

sudo modprobe -r acer_wmi
rfkill unblock all

The following command produces --> SIOCSIFFLAGS: Operation not possible due to RF-kill
sudo ifconfig wlan0 up

The following command still shows --> Hard blocked: yes
rfkill list

Wireless works when I swap the Ubuntu HDD with a Windows HDD to test.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-8-generic 2.6.38-8.42
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/hwC0D1', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D1p', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf4500000 irq 46'
   Mixer name : 'Conexant CX20549 (Venice)'
   Components : 'HDA:14f15045,17aa3c19,00100100'
   Controls : 20
   Simple ctrls : 9
Date: Thu Sep 22 19:43:49 2011
HibernationDevice: RESUME=UUID=22ce6467-ced8-4456-9baf-de82e83c8808
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
MachineType: LENOVO 0687A31
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-2.6.38-8-generic root=UUID=141aba7b-5868-4dc8-9ad6-a11bda38c0fe ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-generic N/A
 linux-backports-modules-2.6.38-8-generic N/A
 linux-firmware 1.52
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/10/2008
dmi.bios.vendor: LENOVO
dmi.bios.version: 66ET60WW (0.11 )
dmi.board.name: INVALID
dmi.board.vendor: LENOVO
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnLENOVO:bvr66ET60WW(0.11):bd06/10/2008:svnLENOVO:pn0687A31:pvrLENOVO3000N200:rvnLENOVO:rnINVALID:rvrNotApplicable:cvnLENOVO:ct10:cvrN/A:
dmi.product.name: 0687A31
dmi.product.version: LENOVO3000 N200
dmi.sys.vendor: LENOVO
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: graham 1418 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf4500000 irq 46'
   Mixer name : 'Conexant CX20549 (Venice)'
   Components : 'HDA:14f15045,17aa3c19,00100100'
   Controls : 20
   Simple ctrls : 9
DistroRelease: Ubuntu 11.04
HibernationDevice: RESUME=UUID=22ce6467-ced8-4456-9baf-de82e83c8808
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
MachineType: LENOVO 0687A31
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-2.6.38-8-generic root=UUID=141aba7b-5868-4dc8-9ad6-a11bda38c0fe ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-generic N/A
 linux-backports-modules-2.6.38-8-generic N/A
 linux-firmware 1.52
RfKill:
 1: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: yes
Tags: natty running-unity
Uname: Linux 2.6.38-8-generic i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 06/10/2008
dmi.bios.vendor: LENOVO
dmi.bios.version: 66ET60WW (0.11 )
dmi.board.name: INVALID
dmi.board.vendor: LENOVO
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnLENOVO:bvr66ET60WW(0.11):bd06/10/2008:svnLENOVO:pn0687A31:pvrLENOVO3000N200:rvnLENOVO:rnINVALID:rvrNotApplicable:cvnLENOVO:ct10:cvrN/A:
dmi.product.name: 0687A31
dmi.product.version: LENOVO3000 N200
dmi.sys.vendor: LENOVO

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 857297

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: natty

apport information

tags: added: apport-collected running-unity
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Seth Forshee (sforshee) wrote :

Graham: Please run the following commands in a terminal and attache the *.dsl files that it creates.

  sudo apt-get install fwts
  sudo fwts --disassemble-aml

Thanks!

Changed in linux (Ubuntu):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → Medium
status: Confirmed → Incomplete
Seth Forshee (sforshee) wrote :

Also, as a workaround you can add the following line to /etc/modprobe.d/blacklist.conf to prevent acer-wmi from loading on reboot:

  blacklist acer-wmi

Graham Parker (guaham) wrote :

My appologis Seth, I think I attached the *.dsl files to the wrong issue. I attached them to the acpi/cdrom bug instead. I did it quickly in about 10 minutes before I left home for work and selected the wrong bug. I'll attach them here now.

I added blacklist acer-wmi to /etc/modprobe.d/blacklist.conf but still did not work in the first instance, however after some digging around I deleted the /dev/rfkill file also, and when rebooted the rfkill file was recreated and I was able to then turn on wireless with the FN-Wirless key cobmination. Appears to require black list acer-wmi as you suggested as well as the deletion of the rfkill file as the workatound, so thanks for pointing me in the direction.

Graham Parker (guaham) wrote :

SSDT0.dsl

Graham Parker (guaham) wrote :

SSDT1.dsl

Graham Parker (guaham) wrote :

SSDT2.dsl

Seth Forshee (sforshee) wrote :

Thanks, Graham. When acer_wmi is not loaded, is there a hotkey or physical button that works to enable and disable wireless, bluetooth, or cellular data connection (whichever of these your machine actually has)? Please check for this, then try the steps below.

Download the acer_ec.pl script:

  http://people.canonical.com/~sforshee/lp857297/acer_ec.pl

Now run acer_ec.pl using the following command. Note that there's a potential that the script could lock up your computer; if it does you'll just have to force shutdown the machine.

  sudo perl acer_ec.pl regs > regs1.txt

If you have a button or switch that can successfully enable/disable one of your wireless devices, you should toggle them one at a time, running the same command as above after each toggle (but changing the number in the file name). When you are done, please attach all the files here and tell me the state of the wireless devices represented in each file. Thanks!

Graham Parker (guaham) wrote :

Hi Seth. There is a hotkey & physical button that works to enable and disable wireless:

Tests:-
From cold power on:
physical switch off > regs1.txt - wireless disabled
physical switch on > regs2.txt - wireless disabled
hotkey on > regs3.txt - wireless enabled
hotkey off > regs4.txt - wireless disabled
hotkey back on as in regs3.txt - wireless enabled:
hotkey still on & physical switch off > regs5.txt - wireless disabled
hotkey still on & physical switch on > regs6.txt - wireless enabled

I noticed the contents of the regsX.txt files didn't change though?

Graham Parker (guaham) wrote :

regs2.txt

Graham Parker (guaham) wrote :

regs3.txt

Graham Parker (guaham) wrote :

regs4.txt

Graham Parker (guaham) wrote :

regs5.txt

Graham Parker (guaham) wrote :

regs6.txt

Graham Parker (guaham) wrote :

Hi Seth. I think I made a mistake with the command you asked me to run.
I executed "sudo perl acer_ec.pl > regs1.txt" instead of "sudo perl acer_ec.pl regs > regs1.txt". That is I missed the "regs" word between the "script name" and the redirection symbol ">" as per your instructions above.

I have re-run the same tests as above with "sudo perl acer_ec.pl regs > regs1.txt" (changing the number in the file name) but each file was empty? Not sure I have done it right?

Only after I had finished the tests and created each regsX.txt the Laptop then did not respond.

Graham Parker (guaham) wrote :

Hi Seth. I have rebooted the Laptop and started again and re-run the tests. I don't know what I did before, but the files are now populated.

There is a hotkey & physical button that works to enable and disable wireless:

Tests:-
From cold power on:
physical switch off > regs1-1.txt - wireless disabled
physical switch on > regs1-2.txt - wireless disabled
hotkey on > regs1-3.txt - wireless enabled
hotkey off > regs1-4.txt - wireless disabled
hotkey back on as in regs1-3.txt - wireless enabled:
hotkey still on & physical switch off > regs1-5.txt - wireless disabled
hotkey still on & physical switch on > regs1-6.txt - wireless enabled

Graham Parker (guaham) wrote :

regs1-2.txt

Graham Parker (guaham) wrote :

regs1-3.txt

Graham Parker (guaham) wrote :

regs1-4.txt

Graham Parker (guaham) wrote :

regs1-5.txt

Graham Parker (guaham) wrote :

regs1-6.txt

Seth Forshee (sforshee) on 2011-09-29
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Seth Forshee (sforshee) wrote :

I uploaded a build with a potential fix for your problem. Please install it and give it a try. The build is available at:

http://people.canonical.com/~sforshee/lp857297/linux-2.6.38-12.51~lp857297v201109281813/

Thanks!

Changed in linux (Ubuntu):
status: In Progress → Incomplete
Graham Parker (guaham) wrote :

Hi Seth

Do I need to download all the files below and or just install the deb package i386?
[TXT] 0001-acer-wmi-Add-wireless-quirk-for-Lenov-3000-N200.patch 29-Sep-2011 16:55 1.5K
[ ] linux-headers-2.6.38-12-generic_2.6.38-12.51~lp857297v201109281813_amd64.deb 29-Sep-2011 16:55 810K
[ ] linux-headers-2.6.38-12-generic_2.6.38-12.51~lp857297v201109281813_i386.deb 29-Sep-2011 16:55 789K
[ ] linux-headers-2.6.38-12_2.6.38-12.51~lp857297v201109281813_all.deb 29-Sep-2011 16:55 11M
[ ] linux-image-2.6.38-12-generic_2.6.38-12.51~lp857297v201109281813_amd64.deb 29-Sep-2011 16:56 35M
[ ] linux-image-2.6.38-12-generic_2.6.38-12.51~lp857297v201109281813_i386.deb

Sorry, just a little unsure.

Seth Forshee (sforshee) wrote :

Graham: You should only need the two *_i386.deb files and the *_all.deb file.

Graham Parker (guaham) wrote :

I downloaded all the files into a directory and then I run the following command:

      sudo patch -p0 -i 0001-acer-wmi-Add-wireless-quirk-for-Lenov-3000-N200.patch

Following result:

     patching file b/drivers/platform/x86/acer-wmi.c
     Hunk #1 FAILED at 296.
     Hunk #2 FAILED at 442.
     Hunk #3 FAILED at 534.
     3 out of 3 hunks FAILED -- saving rejects to file b/drivers/platform/x86/acer-wmi.c.rej

On Fri, Sep 30, 2011 at 01:12:26PM -0000, Graham Parker wrote:
> I downloaded all the files into a directory and then I run the following
> command:

Ignore the patch file, you don't need it. Just put the 3 .deb files I
specified into a directory by themselves, cd to that directory, and run
'sudo dpkg -i *.deb'.

Graham Parker (guaham) wrote :

I run 'sudo dpkg -i *.deb' with these 3 files:
linux-headers-2.6.38-12_2.6.38-12.51~lp857297v201109281813_all.deb
linux-headers-2.6.38-12-generic_2.6.38-12.51~lp857297v201109281813_i386.deb
linux-image-2.6.38-12-generic_2.6.38-12.51~lp857297v201109281813_i386.deb

Result appears fine as below:
Selecting previously deselected package linux-headers-2.6.38-12.
(Reading database ... 161109 files and directories currently installed.)
Unpacking linux-headers-2.6.38-12 (from linux-headers-2.6.38-12_2.6.38-12.51~lp857297v201109281813_all.deb) ...
Selecting previously deselected package linux-headers-2.6.38-12-generic.
Unpacking linux-headers-2.6.38-12-generic (from linux-headers-2.6.38-12-generic_2.6.38-12.51~lp857297v201109281813_i386.deb) ...
Selecting previously deselected package linux-image-2.6.38-12-generic.
Unpacking linux-image-2.6.38-12-generic (from linux-image-2.6.38-12-generic_2.6.38-12.51~lp857297v201109281813_i386.deb) ...
Done.
Setting up linux-headers-2.6.38-12 (2.6.38-12.51~lp857297v201109281813) ...
Setting up linux-headers-2.6.38-12-generic (2.6.38-12.51~lp857297v201109281813) ...
Examining /etc/kernel/header_postinst.d.
Setting up linux-image-2.6.38-12-generic (2.6.38-12.51~lp857297v201109281813) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.38-12-generic
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 2.6.38-12-generic /boot/vmlinuz-2.6.38-12-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 2.6.38-12-generic /boot/vmlinuz-2.6.38-12-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 2.6.38-12-generic /boot/vmlinuz-2.6.38-12-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 2.6.38-12-generic /boot/vmlinuz-2.6.38-12-generic
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-2.6.38-12-generic
Found initrd image: /boot/initrd.img-2.6.38-12-generic
Found linux image: /boot/vmlinuz-2.6.38-11-generic
Found initrd image: /boot/initrd.img-2.6.38-11-generic
Found linux image: /boot/vmlinuz-2.6.38-8-generic
Found initrd image: /boot/initrd.img-2.6.38-8-generic
Found memtest86+ image: /memtest86+.bin
done

Should I un-blacklist acer-wmi from /etc/modprobe.d/blacklist.conf and what test should I run? Is it just to reboot and test with no blacklist and check if wireless is still working?

Seth Forshee (sforshee) wrote :

On Fri, Sep 30, 2011 at 02:03:10PM -0000, Graham Parker wrote:
> Should I un-blacklist acer-wmi from /etc/modprobe.d/blacklist.conf and
> what test should I run? Is it just to reboot and test with no blacklist
> and check if wireless is still working?

You definitely need to reboot. You can remove the blacklist on acer-wmi,
or the following command will work even with it blacklisted:

sudo insmod /lib/modules/$(uname -r)/kernel/drivers/platform/x86/acer-wmi.ko

Graham Parker (guaham) wrote :
Download full text (3.9 KiB)

Hi Seth. I run tests as follows:

Test-1
-Removed blacklist acer-wmi
-Shut Down
-Cold Boot
-Result below - wireless disabled:

graham@LENOVO:~$ rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

Test-2
-Used hotkey to enable wireless
-Result below phy0: Hard blocked: yes - wirless disabled:

graham@LENOVO:~$ rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes

Test-3
rfkill unblock all

-Result below phy0: Hard blocked: no - wireless disabled:

graham@LENOVO:~$ rfkill unblock all
graham@LENOVO:~$ rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

-Overall Result remains in following state:
-acer-wireless: Wireless LAN - Soft blocked: yes
-Wireless still disabled

Test-4
Run following command:

graham@LENOVO:~$ sudo ifconfig wlan0 up

-Result:
-Wireless light now on but wireless connectivity actually not working

graham@LENOVO:~$ rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

-acer-wireless: Wireless LAN - Soft blocked: yes
-Wireless light now on but wireless connectivity still actually not working

Test-5
-Use hotkey to turn off wireless
-Result: unable to turn back on with hotkey
-Run command:

graham@LENOVO:~$ sudo ifconfig wlan0 up
SIOCSIFFLAGS: Operation not possible due to RF-kill

-Wireless still disabled
-Run command:

graham@LENOVO:~$ rfkill unblock all
graham@LENOVO:~$ sudo ifconfig wlan0 up

-Wireless light now on but wireless connectivity still actually not working

Test-6
-Confirm hotkey turns off wireless but need to run commands in sequence:

graham@LENOVO:~$ sudo ifconfig wlan0 up
SIOCSIFFLAGS: Operation not possible due to RF-kill
graham@LENOVO:~$ rfkill unblock all
graham@LENOVO:~$ sudo ifconfig wlan0 up

-Wireless light now on but wireless connectivity still actually not working

Test-7
-Reboot - wirless disabled
-Hotkey wont turn on wireless
-Run following command:

graham@LENOVO:~$ rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no <<------

-Run commands:

graham@LENOVO:~$ sudo ifconfig wlan0 up
[sudo] password for graham:
SIOCSIFFLAGS: Operation not possible due to RF-kill
graham@LENOVO:~$ rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes <<-------
graham@LENOVO:~$ rfkill unblock all
graham@LENOVO:~$ sudo ifconfig wlan0 up

-Result - Wireless light now on but wireless connectivity still actually not working
-Run following command:

graham@LENOVO:~$ rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no <<------

Test-8
-Run following command:

graham@LENOVO:~$ sudo insmod /lib/modules/$(uname -r)/kernel/drivers/platform/x86/acer-wmi.ko
insmod: error inserting '/lib/modules/2.6.38-12-generic/kernel/drivers/platf...

Read more...

Graham Parker (guaham) wrote :

I noticed when I have no black list on acer-wmi, and even though phy0: Soft blocked: no and Hard blocked: no as in above last Test-9 working state, that with acer-wireless Soft blocked: yes and Hard blocked: no, then wireless does not work. It appears that cannot remove acer-wireless Soft blocked: yes in any of the tests.

Seth Forshee (sforshee) wrote :

Graham: I just went back and looked, and I noticed I have a typo in the changes I made for your machine. Sorry about that. I'll kick off a new build and let you know when it's ready to test.

Graham Parker (guaham) wrote :

Thanks Seth, and no worries about the typo, I really appreciate the time you have taken to help me with this. Look forward to testing new patch.

Graham Parker (guaham) wrote :
Download full text (3.9 KiB)

Incredible, wireless is functioning perfectly with no blacklist on acer-wmi required.
Tests as follows:

Installed Patch
Remove blacklist on acer-wmi
Shutdown
Power on from cold

graham@LENOVO:~$ sudo rfkill list
[sudo] password for graham:
0: acer-wireless: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

Result - wireless enabled and working

Wireless hotkey off

graham@LENOVO:~$ sudo rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes

Result - wireless disabled

Wireless hotkey on

graham@LENOVO:~$ sudo rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

Result - wireless enabled and working

Wireless hard switch off

graham@LENOVO:~$ sudo rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes

Result - wireless disabled

Wireless hard switch on

graham@LENOVO:~$ sudo rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

Result - Wireless enabled and working

Restart Laptop warm boot

graham@LENOVO:~$ sudo rfkill list
[sudo] password for graham:
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: acer-wireless: Wireless LAN
 Soft blocked: no
 Hard blocked: no

Result - wireless still enabled and working

*******************************************************************
Test with acpi off to enable CDRW/DVDRW and check wireless
Reboot with acpi=off in grub.cfg
The below acer-wireless does not exist
#################################
## 0: acer-wireless: Wireless LAN
## Soft blocked: no
## Hard blocked: no
#################################
Result - wireless enabled and working with below result - blacklist acer-wmi is not required
graham@LENOVO:~$ sudo rfkill list
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

Wireless hotkey off and on has no effect on disabling or enabling wireless

Wireless hard switch off
graham@LENOVO:~$ sudo rfkill list
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes

Result - wireless disabled

Wireless hard switch on
graham@LENOVO:~$ sudo rfkill list
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

Result - wireless enabled and working
*******************************************************************

Couple of questions:
1.) Without the patch installed, the work around enabled the wireless with blacklist on acer-wmi. Now that wireless is is working with the patch installed, and the work around and blacklist is not required, does the wireless work more effectively e.g. more stable, interface with power management better etc?

2.) The new release Ubuntu 11.10 is due around October 13th I think, but correct me if I'm wrong. Will this patch work with the new release? I was looking forward to some of the new features, Mozilla's Thunderbird email client, Deja Dup backup utility, the new 3D acceleration engine for faster rendering and better panel and launcher performance, and of c...

Read more...

Seth Forshee (sforshee) wrote :

Great, glad to see it's working. The WMI interface is built on top of
ACPI, so acer-wmi won't work at all without ACPI enabled.

> Couple of questions:
> 1.) Without the patch installed, the work around enabled the wireless with blacklist on acer-wmi. Now that wireless is is working with the patch installed, and the work around and blacklist is not required, does the wireless work more effectively e.g. more stable, interface with power management better etc?

No, the patch just fixes acer-wmi to correctly read the state of the
wireless from the BIOS. It will have no effect on the stability of your
wireless performance. It just fixes the problem of network manager
refusing to use the wireless because of the (incorrect) soft block.

> 2.) The new release Ubuntu 11.10 is due around October 13th I think, but
> correct me if I'm wrong. Will this patch work with the new release? I
> was looking forward to some of the new features, Mozilla's Thunderbird
> email client, Deja Dup backup utility, the new 3D acceleration engine
> for faster rendering and better panel and launcher performance, and of
> course last but not least the new kernel 3.0.

It won't be in the initial release, but I'll get the fix put in for
updates to both oneiric and natty. You'll need to watch for a request to
verify the fix when that version of the kernel is in testing, otherwise
it may not get released.

> One thing to note is that setting acpi=off does remove the '0: acer-
> wireless: Wireless LAN' function and the soft hotkey does not work.
> Should I note this in the acpi Bug #856253?

No, that's completely expected, since acer-wmi depends on ACPI as I
noted above.

Graham Parker (guaham) wrote :

Thanks Seth, I'll keep an eye out for the request to verify the fix, not a problem. In the meantime will this patch you supplied be OK to try with 11.10 & kernel 3.0 or is that the patch I'll need to keep an eye out for to suit those versions?

I'm just wondering too, is there anything I can try with acpi affecting the CDRW/DVDRW? I know this is a different listed bug, but just wondering if anything I can try.
Cheers,
Graham.

Seth Forshee (sforshee) wrote :

On Thu, Oct 06, 2011 at 09:48:17AM -0000, Graham Parker wrote:
> Thanks Seth, I'll keep an eye out for the request to verify the fix, not
> a problem. In the meantime will this patch you supplied be OK to try
> with 11.10 & kernel 3.0 or is that the patch I'll need to keep an eye
> out for to suit those versions?

I have a patch for 3.0 (and 3.1 for that matter). It's the same, just
the context around the fix has changed a bit.

> I'm just wondering too, is there anything I can try with acpi affecting the CDRW/DVDRW? I know this is a different listed bug, but just wondering if anything I can try.
> Cheers,

I don't know off the top of my head. It's better to keep questions about
that problem on that bug, as it's confusing to have information
scattered between two different bugs.

Seth Forshee (sforshee) on 2011-10-06
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Seth Forshee (sforshee) on 2011-10-06
description: updated
Graham Parker (guaham) wrote :

Will do, thanks Seth.

Andy Whitcroft (apw) on 2011-10-07
Changed in linux (Ubuntu Natty):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Seth Forshee (sforshee)
status: In Progress → Fix Committed
Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Committed
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for Oneiric in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-oneiric' to 'verification-done-oneiric'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-oneiric

I tested with the kernel for Oneiric in -proposed, but it does not solve my problem. Wireless is still disabled.
I can be enable it with "sudo rfkill unblock all", but can't toggle it and after reboot it's disabled again.

Graham Parker (guaham) wrote :

Hi Seth

 I'm not sure about the comment from Herton R. Krzesinski (herton) above. I tested the patches on the lenovo-3000-N200 as per patches you supplied for 11.04 and it worked fine. What is Herton R. Krzesinski requiring now?

I'm currently downloading 11.10 and will test. Does he want it to know if it works in 11.10? Is the patches you supplied part of 11.10 and wireles with acer-wireless enabled? You went to a lot of trouble to get this working just to have it dropped.

Thank you.

Regards,
Graham.

Herton R. Krzesinski (herton) wrote :

@Lazlo: which kernel version you tested, do you confirm it is 3.0.0-13.21? Also do you have the same hardware (Lenovo 3000-N200), if yes then pleas attach the output of "sudo dmidecode", it should help diagnose your issue better.

@Graham Parker: my message was the verify request Seth mentioned on comment #53. The patch wasn't released on first Oneiric kernel, it will be released on first Oneiric update. But to be released, every kernel update by Ubuntu policy requires that each bug be verified on the update package (tested to confirm the problem is fixed). For now only patch for oneiric is in -proposed, so you should install the 3.0.0-13.21 version from -proposed, and do the same tests, verifying that the new kernel fixes this bug. The same test will be required on next natty update, when that is available on -proposed, another request will be made here.

I'm running on 3.0.0-13.21 from -proposed, but I do not have the same hardware: Lenovo Thinkpad E320

Herton R. Krzesinski (herton) wrote :

@Lazlo: please open a new bug report then, this bug is only for Lenovo 3000-N200. Likely in your case a new dmi quirk entry will be needed, or it's a different issue.

Seth Forshee (sforshee) wrote :

Graham: Please do test the proposed kernel as requested by Herton. The fix cannot be released into an Oneiric kernel update until it has been verified in the proposed kernel, even though you verified it in the test build.

Graham Parker (guaham) wrote :

Hi Herton

I'm in the process of testing, and will post results shortly.

Just to confirm, is 3.0.0-13.21 in the 11.10 release?

Kind Regards,
Graham.

Seth Forshee (sforshee) wrote :

Graham: Yes, 3.0.0-13.21 is the version you should test.

Graham Parker (guaham) wrote :

Thanks Seth. I tested 3.0.0-13.21.

Herton, results are not perfect with functionality limited as follows:

Installed 3.0.0-13.21 and tested:

Boot up
- Wireless works

Turn wireless hard switch off
- wireless disabled - result below:
graham@LENOVO:~$ sudo rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes

Turn wireless hard switch on
- Wireless still disabled
- Have to click on wireless access point connection in network manager to enable wireless as wireless does not enable automatically
- Wireless then works - result below:
graham@LENOVO:~$ sudo rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

Turn wireless soft key off
- Wireless disabled - result below
graham@LENOVO:~$ sudo rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes

Turn wireless soft key on
- Wireless still disabled
- Unable to click on wireless access point connection to enable wireless as wireless access points in network manager are not displayed after turning wireless soft key off
- Wireless still disabled but all "block = no" - result below:
graham@LENOVO:~$ sudo rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

- Reboot re-enables wireless

When turning wireless off with hard switch or soft key the wireless does not re-enable automatically when turning wireless hard switch or wireless soft key back on.

The patch that Seth supplied worked perfectly and re-enabled wireless automatically when turning wireless off and then on using both the wireless hard switch and wireless soft key.

Graham Parker (guaham) wrote :

To confirm, the problem is not completely solved with 3.0.0-13.21

The following test build worked flawlessly:
http://people.canonical.com/~sforshee/lp857297/linux-2.6.38-12.51~lp857297v201109301837/

Seth Forshee (sforshee) wrote :

There are known issues with oneiric's network manager not restoring wireless connections after blocks are removed (see bug #823615). It sounds like that's what you're encountering.

As far as the kernel changes you're verifying, the blocks themselves seem to be working properly, so I think we can consider the fix to be verified.

tags: added: verification-done-oneiric
removed: verification-needed-oneiric
Graham Parker (guaham) wrote :

Ok, I read the bug #823615), so is it known whats changed in network manager since 11.04 and the test build you gave me to try where it worked flawlessly, and is a possible patch due to fix network manager in 11.10?

Seth Forshee (sforshee) wrote :

On Wed, Oct 26, 2011 at 03:24:20PM -0000, Graham Parker wrote:
> Ok, I read the bug #823615), so is it known whats changed in network
> manager since 11.04 and the test build you gave me to try where it
> worked flawlessly, and is a possible patch due to fix network manager in
> 11.10?

I'm not sure I understand the question. The test builds don't include
network manager, they are only kernels.

I guess I was assuming that you verified the oneiric kernel with an
oneiric userspace, but maybe that isn't true. Did you simply install the
oneiric kernel with a natty installation? If that's the case then
network manager would be the same and therefore there must be some
difference between the kernels that causes network manager's misbehavior
(although who exactly is at fault is still unclear).

Either way, the output from 'rfkill list' shows that the fix is doing
what it's supposed to. Any problem with the interaction between the
kernel and network manager would be a separate issue that extends beyond
your specific hardware.

Graham Parker (guaham) wrote :

Hi Seth

What I did was installed Ubuntu 11.10 vwith 3.0.0-12.20 first, then I installed the 3.0.0-13.21 version from -proposed as per Herton's instructions.

Yes, you are right, 'rfkill list' shows that the fix is doing what it's supposed to, but Network Manager now behaves as you mentioned is occurring in bug #823615

Seth Forshee (sforshee) wrote :

On Wed, Oct 26, 2011 at 08:13:25PM -0000, Graham Parker wrote:
> Yes, you are right, 'rfkill list' shows that the fix is doing what it's
> supposed to, but Network Manager now behaves as you mentioned is
> occurring in bug #823615

Good, that explains what you observed.

I don't have any idea when we might see a fix for network manager. I
have found however that you don't need to reboot to get wireless working
again; disabling and reenabling networking via the applet always gets it
back for me.

Graham Parker (guaham) wrote :

Enabling or disabling with soft key "or in the network manager applet" on the task bar menu results in the wireless access points disappearing from the network manager applet list on the task bar menu, and so cannot click on a wireless connection to initiate connection again, nor will it re-connect automatically. A reboot is required.

When disabling and enabling with hard switch the wireless access points remain shown on the network manger applet on the task bar menu, and the Enable Wireless remains ticked also. I can click on the wireless access point connection and initiate connection again after turning the hard switch back on.

In both cases with 3.0.0-12.20 installed wireless was "automatically" enabled when turning soft key or hard switch back on after turning each off.

Should I open a new Bug for network manager issue?

Herton R. Krzesinski (herton) wrote :

Natty update in -proposed (2.6.38-13.5), added this week, is also including now the same fix for Oneiric, and is awaiting verification that the it solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-natty' to 'verification-done-natty'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-natty
Herton R. Krzesinski (herton) wrote :

The correct version is 2.6.38-13.52 for the natty update.

Graham Parker (guaham) wrote :

Hi Herton

Sorry, I have been away and not had access to my Lenovo, and also been sick the past coupole of days with a stomach virus. I will get onto testing this in the few days.

Regards,
Graham.

Herton R. Krzesinski (herton) wrote :

Graham, hope you get well.

Unfortunately we have until tomorrow to verify this fix, it's the deadline for verification (we have a schedule for the updates). Are you able to test this until Sunday? Otherwise we may have to revert this for Natty next week.

Download full text (6.6 KiB)

Hi Herton

Yes I will be able to test this by Sunday 20th November, if that is what you are meaning. Will that be ok?

Regards,
Graham.

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Herton R. Krzesinski
Sent: Thursday, 17 November 2011 10:13 PM
To: <email address hidden>
Subject: [Bug 857297] Re: Wireless not working on Lenovo3000-N200 with Ubuntu 11.04 upgrade

Graham, hope you get well.

Unfortunately we have until tomorrow to verify this fix, it's the
deadline for verification (we have a schedule for the updates). Are you
able to test this until Sunday? Otherwise we may have to revert this for
Natty next week.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/857297

Title:
  Wireless not working on Lenovo3000-N200 with Ubuntu 11.04 upgrade

Status in “linux” package in Ubuntu:
  Fix Committed
Status in “linux” source package in Natty:
  Fix Committed
Status in “linux” source package in Oneiric:
  Fix Committed

Bug description:
  SRU Justification

  Impact: acer-wmi is lacking a required quirk for the Lenovo 3000 N200
  wlan rfkill. As a result, wireless is permanently blocked on this
  machine whenever acer-wmi is loaded.

  Fix: Add quirk to use the correct EC register for updating the wlan
  rfkill status.

  Testcase: Loading acer-wmi without the fix results in a permanent wlan
  soft block. With the fix the rfkill switch behaves as expected.
  Verified against natty on LP #857297.

  ---
  Wifi is not working after upgrade to Ubuntu 11.04.

  The network manager on the task tray states that wireless is disabled
  by hardware switch. Wireless is enabled in the BIOS and the switch on
  the laptop is enabled.

  I tried the following commands suggested by Seth Forshee (sforshee)
  and wifi was activated, but when I rebooted wifi was not activated and
  the following commands did not work again.

  sudo modprobe -r acer_wmi
  rfkill unblock all

  The following command produces --> SIOCSIFFLAGS: Operation not possible due to RF-kill
  sudo ifconfig wlan0 up

  The following command still shows --> Hard blocked: yes
  rfkill list

  Wireless works when I swap the Ubuntu HDD with a Windows HDD to test.

  ProblemType: Bug
  DistroRelease: Ubuntu 11.04
  Package: linux-image-2.6.38-8-generic 2.6.38-8.42
  ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
  Uname: Linux 2.6.38-8-generic i686
  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
  Architecture: i386
  ArecordDevices:
   **** List of CAPTURE Hardware Devices ****
   card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
     Subdevices: 1/1
     Subdevice #0: subdevice #0
  AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/hwC0D1', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D1p', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
  CRDA: Error: [Errno 2] No such file or directory
  Card0.Amixer.info:
   Card hw:0 'Intel'/'HDA Intel at 0xf4500000 irq 46'
     Mixer name : 'Conexant CX20549 (Venice)'
     Components : 'HDA:14f15045,17aa3c19,001...

Read more...

Graham Parker (guaham) wrote :

Hi Herton

Yes I will be able to test this by Sunday 20th November, if that is what you are meaning. Will that be ok?

Regards,
Graham.

Herton R. Krzesinski (herton) wrote :

Graham, yes, testing by Sunday 20th is fine.

Graham Parker (guaham) wrote :

Hi Herton

Am I supposed to install Natty update in -proposed (2.6.38-13.5) over oneiric? I downloaded "linux-source-2.6.38_2.6.38-13.52_all.deb" and when installing only get following:

(Reading database ... 144666 files and directories currently installed.)
Preparing to replace linux-source-2.6.38 2.6.38-13.52 (using linux-source-2.6.38_2.6.38-13.52_all.deb) ...
Unpacking replacement linux-source-2.6.38 ...
Setting up linux-source-2.6.38 (2.6.38-13.52) ...

Graham Parker (guaham) wrote :

Also I have 3.0.0-13.21 currently installed from previous testing with patch on oneiric

Graham Parker (guaham) wrote :

I don't seem to be able to set EnableProposed in the Ubuntu Software Center to source the update for natty. I also loaded an earlier version of 2.6.38-11 (although still shows 11.10 installed) and installed "linux-source-2.6.38_2.6.38-13.52_all.deb" as above with same result as above. Is it in fact actually possible to install natty is 2.6.38-13.52 over any versions of oneiric? I don't particularly wish to remove and reinstall totally to install the 2.6.38-13.52 for the natty update?

Graham Parker (guaham) wrote :

Hi Herton
I expect I don't have much time left to test. Any chance of getting some info of how to obtain/install natty 2.6.38-13.52 as I have oneiric installed.
Thank you.
Regards,
Graham.

Graham Parker (guaham) wrote :

Guess that's it then. Thanks.

Herton R. Krzesinski (herton) wrote :

Graham, you can download linux-image-2.6.38-13-generic_2.6.38-13.52_amd64.deb or linux-image-2.6.38-13-generic_2.6.38-13.52_i386.deb (depends if you have an amd64 or i386 install) from http://archive.ubuntu.com/ubuntu/pool/main/l/linux/ if you want to install manually. After you install the .deb, you can choose to boot it from the grub menu.(choosing 2.6.38-13 entry). Yes, although not ideal, you can install the kernel and test on oneiric.

Launchpad Janitor (janitor) wrote :
Download full text (19.8 KiB)

This bug was fixed in the package linux - 3.0.0-13.22

---------------
linux (3.0.0-13.22) oneiric-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #884847

  [ Herton Ronaldo Krzesinski ]

  * Revert "SAUCE: Add a new entry (413c:8197) to Bluetooth USB device ID
    table"

linux (3.0.0-13.21) oneiric-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #876701

  [ Leann Ogasawara ]

  * Revert "SAUCE: ata: make DVD drive recognisable on systems with
    Sandybridge CPT chipset"
    - LP: #737388, #782389, #794642
  * SAUCE: drm/radeon/kms: Fix logic error in DP HPD handler
    - LP: #860868

  [ Ming Lei ]

  * SAUCE: [media] uvcvideo: Set alternate setting 0 on resume if the bus
    has been reset
    - LP: #816484
  * SAUCE: ata_piix: make DVD Drive recognisable on systems with Intel
    Sandybridge chipsets(v2)
    - LP: #737388, #782389, #794642

  [ Seth Forshee ]

  * SAUCE: acer-wmi: Add wireless quirk for Lenovo 3000 N200
    - LP: #857297

  [ Tim Gardner ]

  * SAUCE: Add a new entry (413c:8197) to Bluetooth USB device ID table
    - LP: #854399
  * [Config] Enable ftrace support in the mac80211 layer
    - LP: #865171
  * SAUCE: usb/core/devio.c: Check for printer class specific request
    - LP: #872711
  * SAUCE: xHCI: AMD isoc link TRB chain bit quirk
    - LP: #872811

  [ Upstream Kernel Changes ]

  * Revert "rt2x00: Serialize TX operations on a queue."
    - LP: #868628
  * Revert "rt2x00: fix crash in rt2800usb_write_tx_desc"
    - LP: #868628
  * Revert "rt2x00: fix crash in rt2800usb_get_txwi"
    - LP: #868628
  * Revert "rt2x00: Move rt2800_txdone and rt2800_txdone_entry_check to
    rt2800usb."
    - LP: #868628
  * Revert "sfc: Use write-combining to reduce TX latency" and follow-ups
    - LP: #868628
  * Revert "drm/radeon/kms: fix typo in r100_blit_copy"
    - LP: #868628
  * x86, amd: Avoid cache aliasing penalties on AMD family 15h
    - LP: #862583
  * x86: Add a BSP cpu_dev helper
    - LP: #862583
  * x86, amd: Move BSP code to cpu_dev helper
    - LP: #862583
  * x86-32, amd: Move va_align definition to unbreak 32-bit build
    - LP: #862583
  * Make TASKSTATS require root access, CVE-2011-2494
    - LP: #866021
    - CVE-2011-2494
  * kernel/printk: do not turn off bootconsole in printk_late_init() if
    keep_bootcon
    - LP: #868628
  * rapidio: fix use of non-compatible registers
    - LP: #868628
  * arch/powerpc/sysdev/fsl_rio.c: correct IECSR register clear value
    - LP: #868628
  * ASoC: soc-jack: Fix checking return value of request_any_context_irq
    - LP: #868628
  * ASoC: ad193x: fix registers definition
    - LP: #868628
  * ASoC: ad193x: fix dac word len setting
    - LP: #868628
  * omap-serial: Allow IXON and IXOFF to be disabled.
    - LP: #868628
  * serial: 8250_pnp: add Intermec CV60 touchscreen device
    - LP: #868628
  * 8250_pci: add support for Rosewill RC-305 4x serial port card
    - LP: #868628
  * 8250: Fix race condition in serial8250_backup_timeout().
    - LP: #868628
  * tty: Add "spi:" prefix for spi modalias
    - LP: #868628
  * TTY: pty, fix pty counting
    - LP: #868628
  * USB: ftdi_sio: add Calao r...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Graham Parker (guaham) wrote :

Hi Herton

I Installed linux-image-2.6.38-13-generic_2.6.38-13.52_i386.deb with following results:

First boot:
root@LENOVO:~# rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

Turn off soft key switch:
root@LENOVO:~# rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes

Turn on soft key:
root@LENOVO:~# rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

Turn off hard switch:
root@LENOVO:~# rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes

Turn on hard switch:
root@LENOVO:~# rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

Wireless is working as expected and the output from 'rfkill list' shows that the fix is doing what it's supposed to. However, there is still a problem with the interaction between the kernel and network manager.

1.) When turning off soft key and then turning soft key back on again, the wireless doesn't enable automatically and the wireless connections in network manager disappear so I cannot click on a wireless connection to establish the network. Turning off soft key and turning on soft key 2 or 3 times in a row enables the wireless connections in network manager and network is again established.

2.) When turning off hard switch and then turning hard switch back on again, wireless doesn't enable automatically. However the wireless connections remain in the network manager and I am able to click on the wireless connection to establish network again.

As above, wireless is working as expected with linux-image-2.6.38-13-generic_2.6.38-13.52_i386.deb installed as shown by "rfkill".

Is there any indication when we might see a fix for network manager?

Thank you for your patience in my testing Natty update -proposed (2.6.38-13.5), much appreciated.

Kind Regards,
Graham.

Graham Parker (guaham) on 2011-11-21
tags: added: verification-done-natty
removed: verification-needed-natty
Graham Parker (guaham) wrote :

Hi Herton

tags: added: verification-done-natty

Regards,
Graham.

tags: removed: verification-done-natty
tags: added: verification-done-natty
Herton R. Krzesinski (herton) wrote :

Graham, many thanks for your detailed testing. Unfortunately I also don't know when network-manager will be fixed.

Graham Parker (guaham) wrote :

No worries Herton, glad to help.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-13.52

---------------
linux (2.6.38-13.52) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #887379

  [ Konrad Rzeszutek Wilk ]

  * SAUCE: x86/paravirt: Partially revert "remove lazy mode in interrupts"
    - LP: #854050

  [ Ming Lei ]

  * SAUCE: [media] uvcvideo: Set alternate setting 0 on resume if the bus
    has been reset
    - LP: #816484

  [ Seth Forshee ]

  * SAUCE: acer-wmi: Add wireless quirk for Lenovo 3000 N200
    - LP: #857297

  [ Upstream Kernel Changes ]

  * Make TASKSTATS require root access, CVE-2011-2494
    - LP: #866021
    - CVE-2011-2494
  * proc: restrict access to /proc/PID/io, CVE-2011-2495
    - LP: #866025
    - CVE-2011-2495
  * proc: fix a race in do_io_accounting(), CVE-2011-2495
    - LP: #866025
    - CVE-2011-2495
  * staging: comedi: fix infoleak to userspace, CVE-2011-2909
    - LP: #869261
    - CVE-2011-2909
  * perf tools: do not look at ./config for configuration, CVE-2011-2905
    - LP: #869259
    - CVE-2011-2905
  * e1000e: workaround for packet drop on 82579 at 100Mbps
    - LP: #870127
  * eCryptfs: Remove unnecessary grow_file() function
    - LP: #745836
  * eCryptfs: Remove ECRYPTFS_NEW_FILE crypt stat flag
    - LP: #745836
  * block: blkdev_get() should access ->bd_disk only after success
    - LP: #857170
  * ipv6: restore correct ECN handling on TCP xmit
    - LP: #872179
  * nl80211: fix overflow in ssid_len - CVE-2011-2517
    - LP: #869245
    - CVE-2011-2517
  * ksm: fix NULL pointer dereference in scan_get_next_rmap_item() -
    CVE-2011-2183
    - LP: #869227
    - CVE-2011-2183
  * NLM: Don't hang forever on NLM unlock requests - CVE-2011-2491
    - LP: #869237
    - CVE-2011-2491
  * KVM: fix kvmclock regression due to missing clock update
    - LP: #795717
  * drm/i915: don't enable plane, pipe and PLL prematurely
    - LP: #812638
  * drm/i915: add pipe/plane enable/disable functions
    - LP: #812638
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 07 Nov 2011 22:11:51 -0200

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers